%define name XaoS
%define ver 3.0
%define rel 7
%define prefix /usr

Name: %{name}
Version: %{ver}
Release: %{rel}
Group: Applications/Multimedia
Copyright: GPL
Summary: A fast, portable real-time interactive fractal zoomer.
Source: ftp://ftp.ta.jcu.cz/pub/linux/hubicka/XaoS/3.0/XaoS-%{ver}.tar.gz
Source1: README.redhat
Source2: xaos.wmconfig
Patch0: xaos.nosuid.patch
URL: http://limax.paru.cas.cz/~hubicka/XaoS/index.html
Buildroot: /var/tmp/%{name}-root
Requires: aalib, info

%description
XaoS is a fast, portable real-time interactive fractal zoomer. It
displays the Mandelbrot set (among other escape time fractals) and
allows you zoom smoothly into the fractal. Various coloring modes are
provided for both the points inside and outside the selected set. XaoS
supports switching between Julia and Mandelbrot fractal types and
on-the-fly plane switching.

If you're installing XaoS, you'll also need to install the the aalib
package, which provides the AA-lib low-level graphics library.

%prep
%setup -q -n %{name}-%{ver}
%patch0 -p1

%build
./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/info
make prefix=$RPM_BUILD_ROOT%{prefix} install
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m644 $RPM_SOURCE_DIR/xaos.wmconfig \
	$RPM_BUILD_ROOT/etc/X11/wmconfig/XaoS


#whoa! need to remove set uids. we won't ship with that, let the user set it
(cd $RPM_BUILD_ROOT%{prefix}/bin ;
 	chmod -s *
)

#get files list
find $RPM_BUILD_ROOT -not -name $RPM_BUILD_ROOT/usr/doc -type f | sed -e "s#^$RPM_BUILD_ROOT##g" > rpm-XaoS-files

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/xaos.info /usr/info/dir
fi


%post
/sbin/install-info /usr/info/xaos.info /usr/info/dir
wmconfig --output fvwm2 >> /dev/null 2> /dev/null

%postun
wmconfig --output fvwm2 >> /dev/null 2> /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files -f rpm-XaoS-files
%defattr(-,root,root)
%doc $RPM_SOURCE_DIR/README.redhat
%doc doc/*
%doc doc/speed/*
%dir /usr/share/XaoS
%dir /usr/share/XaoS/tutorial
%dir /usr/share/XaoS/examples
%dir /usr/share/XaoS/catalogs
%dir /usr/share/XaoS/doc

%changelog
* Fri Aug 20 1999 Tim Powers <timp@redhat.com>
- fixed problem with stale directories lying around when uninstalling

* Sun Aug 15 1999 Dale Lovelace <dale@redhat.com>
- added xaos.wmconfig
- added requires info
- added nosuid patch to compile as user

* Wed Aug 4 1999 Tim Powers <timp@redhat.com>
- spec file cleanups in the %build, %install, and %files and the header
  sections.
- does require aalib again
- don't let it set uids
- added README.redhat which contains instructions on chmod +s
- updated ftp location
- added URL
- built to be included into Powertools

* Sat Mar 13 1999 Chris Green <sprout@dok.org>
- make rpm compile as user

*Wed Mar 19 1998 Trond Eivind Glomsrod <teg@pvv.ntnu.no>
- compiled with gcc 2.8.1
- cleaned up spec-file (removed weird doc handling)
- Doesn't require weirdo AA-lib anymore
